#!/bin/bash

# Europe
# Generation
# 2018
mkdir -p ./temp
wget -N 'https://zenodo.org/records/3349843/files/JRC-PPDB-OPEN.ver0.91.zip?download=1' -O ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=,user=root,password= temp/JRC_OPEN_UNITS.csv -oo X_POSSIBLE_NAMES=lon -oo Y_POSSIBLE_NAMES=lat -oo KEEP_GEOM_COLUMNS=NO -nln eu_gen -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp
# Transmission 2023
mkdir -p ./temp
cp ./inputs/EU_power.zip ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=,user=root,password= ./temp/EU_power_lines.shp -nln eu_trans -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp

# US
# Generation
# 2023
mkdir -p ./temp
wget -N 'https://opendata.arcgis.com/api/v3/datasets/bf5c5110b1b944d299bb683cdbd02d2a_0/downloads/data?format=shp&spatialRefId=4326&where=1%3D1' -O ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=,user=root,password= temp/Power_Plants.shp -nln us_gen -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp
# Transmission 2023
mkdir -p ./temp
wget -N 'https://opendata.arcgis.com/api/v3/datasets/5739e7eb28654df3b3157452ad12f4c6_0/downloads/data?format=shp&spatialRefId=4326&where=1%3D1' -O ./temp/power.zip
unzip -d ./temp/ ./temp/power.zip
ogr2ogr -f MySQL MySQL:FACT_power,host=,user=root,password= ./temp/Electric_Power_Transmission_Lines.shp -nln us_trans -update -overwrite -lco engine=Aria -skipfailures
rm -r ./temp
